## org.apache.axis.encoding
Interface SimpleValueSerializer

All Superinterfaces:
  java.io.Serializable, Serializer, Serializer

All Known Implementing Classes:
  Base64Serializer, CalendarSerializer, DateSerializer, HexSerializer, QNameSerializer, SimpleListSerializer, SimpleSerializer, TimeSerializer

public interface SimpleValueSerializer
extends Serializer

Method Summary
`java.lang.String` `getValueAsString(java.lang.Object value, SerializationContext context)` Return an XML compatible representation of the value.

Methods inherited from interface org.apache.axis.encoding.Serializer
`serialize, writeSchema`

Methods inherited from interface javax.xml.rpc.encoding.Serializer
`getMechanismType`

Method Detail

### getValueAsString

    public java.lang.String getValueAsString(java.lang.Object value,
                                             SerializationContext context)

  Return an XML compatible representation of the value.

  Parameters:
    `value` -
  Returns:

Copyright © 2005 Apache Web Services Project. All Rights Reserved.